﻿#language: ru

@piece_rate_calculation

Функционал: 08_piece_rate_calculation.02.003 Создание документа Установка составов бригад

Сценарий: 08_piece_rate_calculation.02.003 Создание документа Установка составов бригад без учета времени
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Установки составов бригад'
	Тогда открылось окно 'Установки составов бригад'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка состава бригады (создание)'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И из выпадающего списка "Вид бригады" я выбираю точное значение 'Без учета времени работы'
	И в поле 'от' я ввожу текст '11.10.2018 12:12:00'
	И я перехожу к закладке "Бригада"
	И в таблице "Бригада" я нажимаю на кнопку с именем 'БригадаДобавить'
	И в таблице "Бригада" я нажимаю кнопку выбора у реквизита "Сотрудник"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Укладчик Петров' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И в таблице "Бригада" я нажимаю на кнопку с именем 'БригадаДобавить'
	И в таблице "Бригада" я нажимаю кнопку выбора у реквизита "Сотрудник"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Упаковщик Митяев' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И в таблице "Бригада" я перехожу к строке:
		| 'N' |
		| '1' |
	И я выбираю пункт контекстного меню "Удалить" на элементе формы с именем "Бригада"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка состава бригады (создание) *' в течение 20 секунд
	Тогда открылось окно 'Установки составов бригад'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Движения документа Установка состава бригады 0000-000001 от 11.10.2018 12:12:00' | ''                    | ''          | ''              | ''                 |
		| ''                                                                                | ''                    | ''          | ''              | ''                 |
		| 'Регистр сведений "Составы бригад" (2)'                                           | ''                    | ''          | ''              | ''                 |
		| 'Стандартные реквизиты'                                                           | ''                    | 'Измерения' | ''              | ''                 |
		| 'Активность'                                                                      | 'Период'              | 'Смена'     | 'Рабочий центр' | 'Сотрудник'        |
		| 'Да'                                                                              | '11.10.2018 12:12:00' | 'Смена24'   | 'Сырцех'        | 'Укладчик Петров'  |
		| 'Да'                                                                              | '11.10.2018 12:12:00' | 'Смена24'   | 'Сырцех'        | 'Упаковщик Митяев' |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Установки составов бригад'
	И Я закрываю окно 'Установки составов бригад'

Сценарий: 08_piece_rate_calculation.02.003 Создание документа Установка составов бригад с учетом времени
	И В командном интерфейсе я выбираю 'Производство' 'Установки составов бригад'
	Тогда открылось окно 'Установки составов бригад'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка состава бригады (создание)'
	И из выпадающего списка "Вид бригады" я выбираю точное значение 'С учетом времени работы'
	И в поле 'от' я ввожу начало текущего месяца
	И в поле "Дата смены" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И я перехожу к закладке "Бригада"
	И в таблице "Бригада" я нажимаю на кнопку с именем 'БригадаДобавить'
	И в таблице "Бригада" я нажимаю кнопку выбора у реквизита "Сотрудник"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Укладчик Сидорова' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И в таблице "Бригада" в поле 'Время начала' я ввожу текст ' 0:00:00'
	И в таблице "Бригада" в поле 'Время окончания' я ввожу текст '23:59:59'	
	И в таблице "Бригада" я нажимаю на кнопку с именем 'БригадаДобавить'
	И в таблице "Бригада" я нажимаю кнопку выбора у реквизита "Сотрудник"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Упаковщик Митяев' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И в таблице "Бригада" в поле 'Время начала' я ввожу текст ' 0:00:00'
	И в таблице "Бригада" в поле 'Время окончания' я ввожу текст '23:59:59'
	И в таблице "Бригада" я нажимаю на кнопку с именем 'БригадаДобавить'
	И в таблице "Бригада" я нажимаю кнопку выбора у реквизита "Сотрудник"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Карщик Невельская' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И в таблице "Бригада" в поле 'Время начала' я ввожу текст ' 0:00:00'
	И в таблице "Бригада" в поле 'Время окончания' я ввожу текст '23:59:59'
	И в таблице "Бригада" я перехожу к строке:
		| 'N' |
		| '1' |
	И я выбираю пункт контекстного меню "Удалить" на элементе формы с именем "Бригада"
	И в поле "Комментарий" я ввожу текст "С учетом времени"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка состава бригады (создание) *' в течение 20 секунд
	Тогда открылось окно 'Установки составов бригад'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Установка состава бригады 0000-000001 от *' | ''          | ''           | ''        | ''              | ''                  | ''                   | ''                    |
		| ''                                                              | ''          | ''           | ''        | ''              | ''                  | ''                   | ''                    |
		| 'Регистр сведений "Составы бригад по времени работы" (3)'       | ''          | ''           | ''        | ''              | ''                  | ''                   | ''                    |
		| 'Стандартные реквизиты'                                         | ''          | 'Измерения'  | ''        | ''              | ''                  | ''                   | ''                    |
		| 'Активность'                                                    | 'Период'    | 'Дата смены' | 'Смена'   | 'Рабочий центр' | 'Сотрудник'         | 'Время начала'       | 'Время окончания'     |
		| 'Да'                                                            | '*' 		| '*' 		   | 'Смена24' | 'Упаковка'      | 'Укладчик Сидорова' | '* 0:00:00' 		  | '* 23:59:59' 		  |
		| 'Да'                                                            | '*' 		| '*' 		   | 'Смена24' | 'Упаковка'      | 'Упаковщик Митяев'  | '* 0:00:00' 		  | '* 23:59:59' 		  |
		| 'Да'                                                            | '*' 		| '*' 		   | 'Смена24' | 'Упаковка'      | 'Карщик Невельская' | '* 0:00:00' 		  | '* 23:59:59' 		  |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Установки составов бригад'
	И Я закрываю окно 'Установки составов бригад'

Сценарий: 08_piece_rate_calculation.02.003 Установка состава бригады через РМ Мастера смены
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены:  '
	И я перехожу к закладке "Настройки смены"
	И в поле 'Дата смены' я ввожу текущую дату
	Тогда открылось окно 'Рабочее место мастера смены: *'
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' |
		| 'Сырцех'      |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'Сырцех'      | 'Не закрыта' |
	И я перехожу к закладке "Сдельная оплата"
	И я нажимаю на гиперссылку "Укладчик Петров, Упаковщик Митяев"
	Тогда открылось окно 'Состав бригады'
	И Я закрываю окно 'Состав бригады'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю на кнопку 'Назначить бригаду на смену'
	Тогда открылось окно 'Формирование состава бригады'
	И в таблице "Сотрудники" я перехожу к строке:
		| 'Сотрудник'         |
		| 'Карщик Невельская' |
	И в таблице "Сотрудники" я выбираю текущую строку
	И в таблице "Сотрудники" я перехожу к строке:
		| 'Сотрудник'       |
		| 'Укладчик Петров' |
	И в таблице "Сотрудники" я выбираю текущую строку
	И в таблице "Сотрудники" я перехожу к строке:
		| 'Сотрудник'         |
		| 'Укладчик Сидорова' |
	И в таблице "Сотрудники" я выбираю текущую строку
	И в таблице "Сотрудники" я перехожу к строке:
		| 'Сотрудник'        |
		| 'Упаковщик Митяев' |
	И в таблице "Сотрудники" я выбираю текущую строку
	И в таблице "Бригада" я перехожу к строке:
		| 'Сотрудник'         |
		| 'Карщик Невельская' |
	И в таблице "Бригада" я активизирую поле "Время начала"
	И в таблице "Бригада" я выбираю текущую строку
	И в таблице "Бригада" в поле 'Время начала' я ввожу текст ' 0:00:00'
	И в таблице "Бригада" я активизирую поле "Время окончания"
	И в таблице "Бригада" я выбираю текущую строку
	И в таблице "Бригада" в поле 'Время окончания' я ввожу текст '23:59:59'
	И в таблице "Бригада" я завершаю редактирование строки
	И в таблице "Бригада" я перехожу к строке:
		| 'Сотрудник'       |
		| 'Укладчик Петров' |
	И в таблице "Бригада" я активизирую поле "Время начала"
	И в таблице "Бригада" я выбираю текущую строку
	И в таблице "Бригада" в поле 'Время начала' я ввожу текст ' 0:00:00'
	И в таблице "Бригада" я активизирую поле "Время окончания"
	И в таблице "Бригада" я выбираю текущую строку
	И в таблице "Бригада" в поле 'Время окончания' я ввожу текст '23:59:59'	
	И в таблице "Бригада" я завершаю редактирование строки
	И в таблице "Бригада" я перехожу к строке:
		| 'Сотрудник'         |
		| 'Укладчик Сидорова' |
	И в таблице "Бригада" я активизирую поле "Время начала"
	И в таблице "Бригада" я выбираю текущую строку
	И в таблице "Бригада" в поле 'Время начала' я ввожу текст ' 0:00:00'
	И в таблице "Бригада" я активизирую поле "Время окончания"
	И в таблице "Бригада" я выбираю текущую строку
	И в таблице "Бригада" в поле 'Время окончания' я ввожу текст '23:59:59'
	И в таблице "Бригада" я завершаю редактирование строки
	И в таблице "Бригада" я перехожу к строке:
		| 'Сотрудник'        |
		| 'Упаковщик Митяев' |
	И в таблице "Бригада" я активизирую поле "Время начала"
	И в таблице "Бригада" я выбираю текущую строку
	И в таблице "Бригада" в поле 'Время начала' я ввожу текст ' 0:00:00'
	И в таблице "Бригада" я активизирую поле "Время окончания"
	И в таблице "Бригада" я выбираю текущую строку
	И в таблице "Бригада" в поле 'Время окончания' я ввожу текст '23:59:59'
	И в таблице "Бригада" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить'
	И Я закрываю окно 'Формирование состава бригады'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю на гиперссылку "Укладчик Сидорова, Укладчик Петров, Упаковщик Митяев, Карщик Невельская"
	Тогда открылось окно 'Состав бригады'
	Тогда таблица "СоставБригады" стала равной:
		| 'Сотрудник'         | 'Время начала' | 'Время окончания' |
		| 'Укладчик Сидорова' | '0:00:00'      | '23:59:59'        |
		| 'Укладчик Петров'   | '0:00:00'      | '23:59:59'        |
		| 'Упаковщик Митяев'  | '0:00:00'      | '23:59:59'        |
		| 'Карщик Невельская' | '0:00:00'      | '23:59:59'        |
	И Я закрываю окно 'Состав бригады'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И Я закрываю окно 'Рабочее место мастера смены: * Смена24'
	И В командном интерфейсе я выбираю 'Производство' 'Установки составов бригад'
	Тогда открылось окно 'Установки составов бригад'
	И в таблице "Список" я перехожу к строке:
		| 'Номер'       | 'Ответственный'  | 'Рабочий центр' | 'Смена'   |
		| '0000-000002' | 'Мастер сырцеха' | 'Сырцех'        | 'Смена24' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Установка состава бригады 0000-000002 от *' | ''                    | ''           | ''        | ''              | ''                  | ''                   | ''                    |
		| ''                                                              | ''                    | ''           | ''        | ''              | ''                  | ''                   | ''                    |
		| 'Регистр сведений "Составы бригад по времени работы" (4)'       | ''                    | ''           | ''        | ''              | ''                  | ''                   | ''                    |
		| 'Стандартные реквизиты'                                         | ''                    | 'Измерения'  | ''        | ''              | ''                  | ''                   | ''                    |
		| 'Активность'                                                    | 'Период'              | 'Дата смены' | 'Смена'   | 'Рабочий центр' | 'Сотрудник'         | 'Время начала'       | 'Время окончания'     |
		| 'Да'                                                            | '*' 				  | '*' 		 | 'Смена24' | 'Сырцех'        | 'Карщик Невельская' | '* 0:00:00' 			| '* 23:59:59' 			|
		| 'Да'                                                            | '*' 				  | '*' 		 | 'Смена24' | 'Сырцех'        | 'Укладчик Петров'   | '* 0:00:00' 			| '* 23:59:59' 			|
		| 'Да'                                                            | '*' 				  | '*' 		 | 'Смена24' | 'Сырцех'        | 'Укладчик Сидорова' | '* 0:00:00' 			| '* 23:59:59' 			|
		| 'Да'                                                            | '*' 				  | '*' 		 | 'Смена24' | 'Сырцех'        | 'Упаковщик Митяев'  | '* 0:00:00' 			| '* 23:59:59' 			|
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Установки составов бригад'
	И Я закрываю окно 'Установки составов бригад'

Сценарий: 08_piece_rate_calculation.02.003 Создание документа Установка составов бригад без учета времени на ПАЦ
	И В командном интерфейсе я выбираю 'Производство' 'Установки составов бригад'
	Тогда открылось окно 'Установки составов бригад'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка состава бригады (создание)'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И из выпадающего списка "Вид бригады" я выбираю точное значение 'Без учета времени работы'
	И в поле 'от' я ввожу текст '11.10.2018 12:12:00'
	И я перехожу к закладке "Бригада"
	И в таблице "Бригада" я нажимаю на кнопку с именем 'БригадаДобавить'
	И в таблице "Бригада" я нажимаю кнопку выбора у реквизита "Сотрудник"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Укладчик Петров' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И в таблице "Бригада" я нажимаю на кнопку с именем 'БригадаДобавить'
	И в таблице "Бригада" я нажимаю кнопку выбора у реквизита "Сотрудник"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Упаковщик Митяев' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка состава бригады (создание) *'
	И в таблице "Бригада" я перехожу к строке:
		| 'N' |
		| '1' |
	И я выбираю пункт контекстного меню "Удалить" на элементе формы с именем "Бригада"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка состава бригады (создание) *' в течение 20 секунд
	Тогда открылось окно 'Установки составов бригад'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Движения документа Установка состава бригады 0000-000002 от 11.10.2018 12:12:00' | ''                    | ''          | ''              | ''                 |
		| ''                                                                                | ''                    | ''          | ''              | ''                 |
		| 'Регистр сведений "Составы бригад" (2)'                                           | ''                    | ''          | ''              | ''                 |
		| 'Стандартные реквизиты'                                                           | ''                    | 'Измерения' | ''              | ''                 |
		| 'Активность'                                                                      | 'Период'              | 'Смена'     | 'Рабочий центр' | 'Сотрудник'        |
		| 'Да'                                                                              | '11.10.2018 12:12:00' | 'Смена24'   | 'ПАЦ'           | 'Укладчик Петров'  |
		| 'Да'                                                                              | '11.10.2018 12:12:00' | 'Смена24'   | 'ПАЦ'           | 'Упаковщик Митяев' |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Установки составов бригад'
	И Я закрываю окно 'Установки составов бригад'